{
  name: "Iron Grip",
  rating: 2.5,
  num: -1023,
  flags: {},

  onResidual(pokemon) {
    if (
      pokemon.volatiles["partiallytrapped"] &&
      pokemon.volatiles["partiallytrapped"].source?.ability === "irongrip" &&
      !pokemon.volatiles["partiallytrapped"].bindingBand
    ) {
      const damage = this.clampIntRange(pokemon.maxhp / 6, 1);
      this.damage(damage, pokemon, pokemon.volatiles["partiallytrapped"].source, "partiallytrapped");
    }
  }
}
